<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use DomainException;

final class RemplacementSameTeacherException extends DomainException
{
    public static function create(): self
    {
        return new self('L\'enseignant remplacé et le remplaçant ne peuvent pas être la même personne.');
    }
}
